Virtual Account - API Checkout
About Virtual Account - API Checkout
This API uses by Merchants to request payment to NICEPAY with a Virtual Account payment method using Checkout API.
Flow Process

Steps description:
- The Customer performs checkout.
- The Customer sends checkout data to the Merchant.
- The Merchant requests checkout using Registration API to NICEPAY.
- NICEPAY redirects the Merchant to payment page.
- The Merchant sends NICEPAY's payment page to the Customer.
- The Customer chooses the payment method.
- The Customer makes the payment using VA to Bank.
- Bank proceeds the payment.
- Bank sends the payment result to the Customer.
- Bank sends payment notification to NICEPAY.
- NICEPAY updates the status of payment.
- NICEPAY sends dbProcessUrl notification to the Merchant.
- The Merchant receives the status.
- The Merchant requests inquiry status to NICEPAY.
- NICEPAY receives the request.
- NICEPAY sends the response of inquiry status to the Merchant.
- The Merchant receives the final status.
- The Merchant sends the transaction result page to the Customer.
NICEPAY Secure Payment Page
Please visit the VA Payment Guide page to be able to provide your Customer with payment guide on the Virtual Account method.

The image above is a payment sample with Virtual Account method using NICEPAY Secure Payment Page.
Please directs your Customer to choose payment method options for ATM/Bank Transfer on NICEPAY's payment page to proceed Virtual Account transaction.

After choosing the method with Bank Transfer, your Customer will provide with Bank lists that can choose to continue the payment process.

API Checkout Transaction Payment
Checkout Transaction Payment API for Virtual Account use to request registration and payment.
API URL | /nicepay/redirect/v2/payment |
|---|---|
Request Method | Redirect-GET |
Header | Content-Type: application/Form-UrlEncoded |
Request Parameters for Virtual Account - API Checkout (CallbackUrl)
Parameter | Type | Size | Description | Remark |
|---|---|---|---|---|
paymentURL Required | ANS | 14 | Payment URL | https://dev.nicepay.co.id/nicepay/redirect/v2/payment |
tXid Required | AN | 30 | Transaction ID | IONPAYTEST00202212231003086046 |
Response Parameters for Virtual Account - API Checkout (CallbackUrl)
Parameter | Type | Size | Description | Remark |
|---|---|---|---|---|
resultCd | N | 4 | 0000 | |
resultMsg | AN | 255 | Result Message: Error Code | SUCCESS |
bankVacctNo | N | 30 | Virtual Account Number | 111111101003086046 When Success |
tXid | AN | 30 | Transaction ID | IONPAYTEST00202212231003086046 When Success |
referenceNo | ANS | 40 | Order Number | ordNo20221223101289 When Success |
amount | N | 12 | Transaction Amount | 10000 When Success |
transDt | N | 8 | Transaction Date (YYYYMMDD) | 20221223 When Success |
transTm | N | 6 | Transaction Time (HH24MISS) | 100308 When Success |
bankCd | A | 4 | Mitra Code | CENA When Success |
description | AN | 100 | Transaction Description | Testing+Transaction+Virtual+Account When Success |
Note: Response parameter will be sent through callbackUrl with Content-type: application/json and method: POST Parameter.
Sample Parameter for Virtual Account - API Checkout (CallbackUrl)
On the payment when Checkout, the response from the request that got hit is a Callback URL.
Request Parameter
curl -X GET "https://www.merchant.com/callbackUrl?resultCd=0000&resultMsg=SUCCESS&bankVacctNo=111111101003086046&tXid=IONPAYTEST00202212231003086046&referenceNo=ordNo20221223101289&transDt=20221223&transTm=100308&amount=10000&bankCd=CENA&description=Testing+Transaction+Virtual+Account"Callback Parameter
resultCd=0000
resultMsg=SUCCESS
bankVacctNo=111111101003086046
tXid=IONPAYTEST00202212231003086046
referenceNo=ordNo20221223101289
transDt=20221223
transTm=100308
amount=10000
bankCd=CENA
description=Testing+Transaction+Virtual+Account
Callback Handling API Checkout Payment Virtual Account
When Your callback already received callbackUrl, we recommended the Merchant to do the status verification using the Status Inquiry - API Checkout.
Callback Handling is very important to minimize the Fraud act, we highly recommend the Merchant to do the verification using Callback parameter.

"callbackUrl" : "https://www.merchant.com/callbackUrl/"